Bug 212617 - X session conflicts on FC5
X session conflicts on FC5
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
5
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Søren Sandmann Pedersen
David Lawrence
:
: 220591 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-27 14:50 EDT by Lech Lobocki
Modified: 2014-06-18 05:08 EDT (History)
2 users (show)

See Also:
Fixed In Version: F7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-02 14:59:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
original xorg.conf file (3.17 KB, application/octet-stream)
2006-12-28 04:21 EST, Lech Lobocki
no flags Details
original log file (before X autoconfiguration) (41.35 KB, text/plain)
2006-12-28 04:22 EST, Lech Lobocki
no flags Details
original log file (before X autoconfiguration) (41.46 KB, text/plain)
2006-12-28 04:23 EST, Lech Lobocki
no flags Details
original log file (before X autoconfiguration) (41.46 KB, text/plain)
2006-12-28 04:24 EST, Lech Lobocki
no flags Details
original log file (before X autoconfiguration) (41.46 KB, text/plain)
2006-12-28 04:24 EST, Lech Lobocki
no flags Details
original log file (before X autoconfiguration) (41.60 KB, text/plain)
2006-12-28 04:25 EST, Lech Lobocki
no flags Details
original log file (before X autoconfiguration) (41.60 KB, text/plain)
2006-12-28 04:26 EST, Lech Lobocki
no flags Details
original log file (before X autoconfiguration) (41.46 KB, text/plain)
2006-12-28 04:26 EST, Lech Lobocki
no flags Details
original log file (before X autoconfiguration) (41.55 KB, text/plain)
2006-12-28 04:27 EST, Lech Lobocki
no flags Details
original log file (before X autoconfiguration) (41.46 KB, text/plain)
2006-12-28 04:27 EST, Lech Lobocki
no flags Details
xorg.conf file after automatic configuration (2.53 KB, application/octet-stream)
2006-12-28 04:28 EST, Lech Lobocki
no flags Details
log file after X autoconfiguration and closing a remote KDE session (2.53 KB, application/octet-stream)
2006-12-28 04:30 EST, Lech Lobocki
no flags Details

  None (edit)
Description Lech Lobocki 2006-10-27 14:50:36 EDT
Description of problem:
X session conflict

Version-Release number of selected component (if applicable):


How reproducible:
same occurs on two systems

Steps to Reproduce:
1. Allow XDCMP connections to a machine running KDE session
2. Let the GDM greeter handle opening sessions
3. Connect through XDMCP from a remote computer, run KDE session
4. Close the remote session, e.g. log off
  
Actual results:
The KDE on a host machine breaks down immediately, a blue screen
comes, informing of an attempt to use screen :0 from another machine
and the resulting conflict.

Similar happens when an external thin client runs an X session
remotely through an "X -query <host>" command, and then disconnects.



Expected results:

In FC3 and all the previous versions, session on host was not
interrupted in similar circumstances


Additional info:
Comment 1 Matěj Cepl 2006-12-27 12:05:16 EST
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log
file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file
attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 Lech Lobocki 2006-12-28 04:21:33 EST
Created attachment 144445 [details]
original xorg.conf file
Comment 3 Lech Lobocki 2006-12-28 04:22:49 EST
Created attachment 144446 [details]
original log file (before X autoconfiguration)
Comment 4 Lech Lobocki 2006-12-28 04:23:32 EST
Created attachment 144447 [details]
original log file (before X autoconfiguration)
Comment 5 Lech Lobocki 2006-12-28 04:24:10 EST
Created attachment 144448 [details]
original log file (before X autoconfiguration)
Comment 6 Lech Lobocki 2006-12-28 04:24:25 EST
Created attachment 144449 [details]
original log file (before X autoconfiguration)
Comment 7 Lech Lobocki 2006-12-28 04:25:29 EST
Created attachment 144450 [details]
original log file (before X autoconfiguration)
Comment 8 Lech Lobocki 2006-12-28 04:26:05 EST
Created attachment 144451 [details]
original log file (before X autoconfiguration)
Comment 9 Lech Lobocki 2006-12-28 04:26:46 EST
Created attachment 144452 [details]
original log file (before X autoconfiguration)
Comment 10 Lech Lobocki 2006-12-28 04:27:05 EST
Created attachment 144453 [details]
original log file (before X autoconfiguration)
Comment 11 Lech Lobocki 2006-12-28 04:27:40 EST
Created attachment 144454 [details]
original log file (before X autoconfiguration)
Comment 12 Lech Lobocki 2006-12-28 04:28:54 EST
Created attachment 144455 [details]
xorg.conf file after automatic configuration
Comment 13 Lech Lobocki 2006-12-28 04:30:22 EST
Created attachment 144456 [details]
log file after X autoconfiguration and closing a remote KDE session
Comment 14 Lech Lobocki 2006-12-28 04:34:26 EST
Note that this problem is apparently not hardware-specific - I observed
it on three machines: the one with nVidia (logs attached), on a Tyan Transport
equipped with an onboard ATI, and on a laptop with Intel video chip 
Comment 15 Lech Lobocki 2006-12-28 04:41:17 EST
*** Bug 220591 has been marked as a duplicate of this bug. ***
Comment 16 Matěj Cepl 2007-07-03 09:49:22 EDT
Fedora Core 5 is no longer supported, please, could you reproduce this bug with
the updated version of the currently supported distribution (Fedora Core 6, or
Fedora 7, or Rawhide)? If this issue turns out to still be reproducible, please
let us know in this bug report.  If after a month's time we have not heard back
from you, we will have to close this bug as CANTFIX/INSUFFICIENT_DATA.

Setting status to NEEDINFO, and awaiting information from the reporter.

Thanks in advance.
Comment 17 Lech Lobocki 2007-08-02 13:23:14 EDT
This problem disappeared in Fedora 7. 

Note You need to log in before you can comment on or make changes to this bug.